org.keycloak.freemarker

## Enum Theme.Type

- java.lang.Object
- - java.lang.Enum<Theme.Type>
  - - org.keycloak.freemarker.Theme.Type

- All Implemented Interfaces:
    Serializable, Comparable<Theme.Type>
  Enclosing interface:
    Theme

      public static enum Theme.Type
      extends Enum<Theme.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT`
    `ADMIN`
    `COMMON`
    `EMAIL`
    `LOGIN`
    `WELCOME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Theme.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Theme.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGIN

          public static final Theme.Type LOGIN

    - #### ACCOUNT

          public static final Theme.Type ACCOUNT

    - #### ADMIN

          public static final Theme.Type ADMIN

    - #### EMAIL

          public static final Theme.Type EMAIL

    - #### WELCOME

          public static final Theme.Type WELCOME

    - #### COMMON

          public static final Theme.Type COMMON

  - ### Method Detail

    - #### values

          public static Theme.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Theme.Type c : Theme.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Theme.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.